\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - dD Triangulations

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
FullCellData Concept Reference
Concepts

## Definition

The concept `FullCellData` describes the requirements on the type which is used to mark some full cells, during modifications of the triangulation data structure.

See Also
  `TriangulationDataStructure`
  `TriangulationDSFullCell`

## Public Member Functions
void | clear ()
| Clear all data.
void | mark_visited ()
| Mark the full cell as visited.
void | clear_visited ()
| Mark the full cell as not visited.
bool | is_clear () const
| Returns `true` if the full cell is not marked as visited, `false` otherwise.
bool | is_visited () const
| Returns `true` if the full cell is marked as visited, `false` otherwise.